Fetch Incidents
curl --request GET \
--url https://example.com/api/incident/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://example.com/api/incident/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://example.com/api/incident/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Incidents
Fetch Incidents
GET
/
incident
/
Fetch Incidents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
secret, vulnerability List of repository IDs
List of VC IDs
List of PR IDs
List of Group IDs
Filter incidents from this date (inclusive)
Filter incidents up to this date (inclusive)
Page number
Number of items per page
Field to sort by
Order direction ('asc' or 'desc')
Available options:
secret, vulnerability Response
Successful Response